# 类: Event

[(返回目录)](/api.md)

**继承自:** [EventAPI](/api/eventapi.md)

**子类:** [ActionEvent](/api/actionevent.md), [BotEvent](/api/botevent.md), [FriendEvent](/api/friendevent.md), [GroupEvent](/api/groupevent.md), [MessageEvent](/api/messageevent.md), [OtherClientEvent](/api/otherclientevent.md), [RequestEvent](/api/requestevent.md)

RainyBot的事件类，各种事件类型将直接或间接继承此类

## 方法

* [Dictionary](https://docs.godotengine.org/en/latest/classes/class_dictionary.html) **get\_metadata ( )**

获取实例中的元数据字典，仅当你知道自己在做什么时才使用

***

* void **set\_metadata (** [Dictionary](https://docs.godotengine.org/en/latest/classes/class_dictionary.html) dic **)**

使用指定字典覆盖实例中的元数据字典，仅当你知道自己在做什么时才使用

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainybot.dev/api/event.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
